%define module	gettext

Name:		python-%{module}
Version:	4.0
Release:	%mkrel 9
Summary:	Python Gettext po to mo file compiler
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/python-gettext/
Source0:	https://pypi.io/packages/source/p/python-gettext/%{name}-%{version}.tar.gz
BuildArch:	noarch

%description
This implementation of Gettext for Python includes a Msgfmt class which can be
used to generate compiled mo files from Gettext po files and includes support
for the newer msgctxt keyword.

%package -n	python3-%{module}
Summary:	Python 3 Gettext po to mo file compiler
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
This implementation of Gettext for Python 3 includes a Msgfmt class which can be
used to generate compiled mo files from Gettext po files and includes support
for the newer msgctxt keyword.

%prep
%setup -q
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pythongettext

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGES.rst README.rst
%license LICENSE.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.0-9.mga10
+ Revision: 2238326
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 4.0-8.mga10
+ Revision: 2155013
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 4.0-7.mga10
+ Revision: 2017522
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 4.0-6.mga9
+ Revision: 1822386
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 4.0-5.mga9
+ Revision: 1773348
- Rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 4.0-4.mga9
+ Revision: 1707512
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.0-3.mga8
+ Revision: 1531919
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 4.0-2.mga8
+ Revision: 1441372
- rebuild for python3.8
- drop python2 support

* Mon Jul 15 2019 daviddavid <daviddavid> 4.0-1.mga8
+ Revision: 1421797
- initial package python-gettext

